<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
BrowseForFolder2 Method (IEdmVault11)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault11 Interface : BrowseForFolder2 Method (IEdmVault11)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

bsMessage
  Message to display in the dialog box

poDefaultFolder
  IEdmFolder5; default folder to browse

lFlags
  Combination of EdmBrowseForFolderFlag bits

Displays a Browse for Folder dialog box in which the user can click a file or item folder.

# Syntax

Visual Basic |
--- | ---

    Function BrowseForFolder2( _
       ByVal hParentWnd As System.Integer, _
       ByVal bsMessage As System.String, _
       ByVal poDefaultFolder As IEdmFolder5, _
       ByVal lFlags As System.Integer _
    ) As IEdmFolder5

C# |
--- | ---

    IEdmFolder5 BrowseForFolder2(
       System.int hParentWnd,
       System.string bsMessage,
       IEdmFolder5 poDefaultFolder,
       System.int lFlags
    )

C++/CLI |
--- | ---

    IEdmFolder5^ BrowseForFolder2(
    &   System.int hParentWnd,
    &   System.String^ bsMessage,
    &   IEdmFolder5^ poDefaultFolder,
    &   System.int lFlags
    )

#### Parameters

hParentWnd
  Parent window handle
bsMessage
  Message to display in the dialog box
poDefaultFolder
  IEdmFolder5; default folder to browse
lFlags
  Combination of EdmBrowseForFolderFlag bits

#### Return Value

IEdmFolder5; Null if the user clicks Cancel (see Remarks)

# Example

Get and Set Item References (VB.NET)
Get and Set Item References (C#)

# Remarks

This method supersedes IEdmVault5::BrowseForFolder by providing the ability to select items.

C++ users must release the returned interface, IEdmFolder5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The user pressed Cancel.
- E_EDM_NOT_LOGGED_IN: You must call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

# See Also

####

IEdmVault11 Interface
IEdmVault11 Members

# Availability

SOLIDWORKS PDM Professional 2010